export declare class StringUtils {
    static getLastWord(from: string, cursorPosition: number): string;
    static insert(from: string, newValue: string, cursorStartPosition: number, cursorEndPosition: number): {
        value: string;
        newStartPosition: number;
        newEndPosition: number;
    };
    static replace(from: string, lastValue: string, newValue: string, cursorStartPosition: number, cursorEndPosition: number): {
        newStartPosition: number;
        newEndPosition: number;
        value: string;
    };
    static removeLastWord(from: string, cursorStartPosition: number, cursorEndPosition: number): {
        startValue: string;
        endValue: string;
    };
}
